Bug 247798 - Openoffice.org Base crash in gnome-vfs
Openoffice.org Base crash in gnome-vfs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-11 10:30 EDT by Mihai Harpau
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 81064 None None None Never

  None (edit)
Description Mihai Harpau 2007-07-11 10:30:45 EDT
Description of problem:

Openoffice.org Base crash when I try to connect to some dbf date sources through
samba shares


Additional info:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-12-i386
(V)    kernel is: Linux 2.6.21-1.3255.fc7 #1 SMP Thu Jul 5 18:03:08 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.0-14.11-i386
(VII)    depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/sysop-home
                      29806460  20986624   7283020  75% /home
/dev/mapper/sysop-root
                      10157368   4957564   4675516  52% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 21
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x410206df: 0x001b6374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x206df
0x41020fea: 0x001b6374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x20fea
0x00b53420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x44f798b1: 0x0014fd7c: /lib/libc.so.6 + 0x2a8b1 (abort + 0x101)
0x44faeebb: 0x0014fd7c: /lib/libc.so.6 + 0x5febb
0x44fba6ab: 0x0014fd7c: /lib/libc.so.6 + 0x6b6ab (cfree + 0x1bb)
0x4511e8c1: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x328c1 (g_free + 0x31)
0x006e4b16: 0x000600e8: /usr/lib/libgnomevfs-2.so.0 + 0x1db16
(gnome_vfs_file_info_clear + 0x5a)
0x006e22c9: 0x000600e8: /usr/lib/libgnomevfs-2.so.0 + 0x1b2c9
(gnome_vfs_directory_read_next + 0x45)
0x006bd3fc: 0x00020ae4: /usr/lib/openoffice.org/program/ucpgvfs1.uno.so +
0x193fc (gvfs::DataSupplier::getData() + 0x204)
0x006bd501: 0x00020ae4: /usr/lib/openoffice.org/program/ucpgvfs1.uno.so +
0x19501 (gvfs::DataSupplier::totalCount() + 0x1d)
0x413cbc60: 0x000681cc: /usr/lib/openoffice.org/program/libucbhelper3gcc3.so +
0x42c60 (ucb::ResultSet::absolute(long) + 0xf0)
0x063c129a: 0x00017a9c: /usr/lib/openoffice.org/program/libsrtrs1.so + 0xe29a
0x063b9477: 0x00017a9c: /usr/lib/openoffice.org/program/libsrtrs1.so + 0x6477
0x035a7627: 0x000999cc: /usr/lib/openoffice.org/program/libfile680li.so +
0x6d627
(connectivity::file::ODatabaseMetaData::getTables(com::sun::star::uno::Any
const&, rtl::OUString const&, rtl::OUString const&,
com::sun::star::uno::Sequence<rtl::OUString> const&) + 0x2df)
0x02cbd10f: 0x0005477c: /usr/lib/openoffice.org/program/libdbase680li.so + 0x2f10f
0x43e40938: 0x0012a260: /usr/lib/openoffice.org/program/libdbtools680li.so +
0x83938 (connectivity::sdbcx::OCatalog::getTables() + 0x44)
0x072b34b3: 0x00164ce4: /usr/lib/openoffice.org/program/libdba680li.so + 0xe64b3
0x072b3352: 0x00164ce4: /usr/lib/openoffice.org/program/libdba680li.so + 0xe6352
0x007c755f: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x455f
0x007c78eb: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x48eb
0x007c7d77: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x4d77
0x00a5ecad: 0x00005c38: /usr/lib/openoffice.org/program/proxyfac.uno.so + 0x2cad
0x007c6ec5: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x3ec5
0x007c73be: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x43be
0x007c7ec6: 0x0000b394: /usr/lib/openoffice.org/program/libgcc3_uno.so + 0x4ec6
0x0337b29c: 0x0001bfb4: /usr/lib/openoffice.org/program/libabp680li.so + 0x1229c
0x033771fb: 0x0001bfb4: /usr/lib/openoffice.org/program/libabp680li.so + 0xe1fb
0x41d3f196: 0x0038cb50: /usr/lib/openoffice.org/program/libsvt680li.so +
0x1d0196 (svt::OWizardMachine::travelNext() + 0x44)
0x033746e9: 0x0001bfb4: /usr/lib/openoffice.org/program/libabp680li.so + 0xb6e9
0x03374abf: 0x0001bfb4: /usr/lib/openoffice.org/program/libabp680li.so + 0xbabf
0x03374af3: 0x0001bfb4: /usr/lib/openoffice.org/program/libabp680li.so + 0xbaf3
0x416b8b4f: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so +
0x231b4f (Control::ImplCallEventListenersAndHandler(unsigned long, Link const&,
void*) + 0x69)
0x416ad864: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so +
0x226864 (Button::Click() + 0x28)
0x416b6ab8: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so +
0x22fab8 (PushButton::Tracking(TrackingEvent const&) + 0x170)
0x416abcbd: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so +
0x224cbd (Window::EndTracking(unsigned short) + 0x11d)
0x416a72f3: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x2202f3
0x416a88bd: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x2218bd
0x416a784e: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x22084e
0x00864d61: 0x00041090: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x32d61
0x428b36a0: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x1336a0
0x452c0d9b: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x8d9b (g_closure_invoke + 0x12b)
0x452d1433: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x19433
0x452d271f: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1a71f (g_signal_emit_valist
+ 0x68f)
0x452d2b19: 0x0003e544: /lib/libgobject-2.0.so.0 + 0x1ab19 (g_signal_emit + 0x29)
0x429c84b8: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x2484b8
0x428aca63: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12ca63
(gtk_propagate_event + 0x183)
0x428adc67: 0x0039a86c: /usr/lib/libgtk-x11-2.0.so.0 + 0x12dc67
(gtk_main_do_event + 0x317)
0x4273241a: 0x0008b978: /usr/lib/libgdk-x11-2.0.so.0 + 0x4141a
0x45117622: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2b622 (g_main_context_dispatch
+ 0x182)
0x4511a5ff: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2e5ff
0x4511ab65: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2eb65
(g_main_context_iteration + 0x65)
0x00843879: 0x00041090: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x11879
0x00251d15: 0x000697d0: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4bd15 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x415285b9: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0xa15b9
(Application::Yield(bool) + 0x57)
0x41641763: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so +
0x1ba763 (Dialog::Execute() + 0xaf)
0x41d9f7dd: 0x0038cb50: /usr/lib/openoffice.org/program/libsvt680li.so +
0x2307dd (svt::OGenericUnoDialog::execute() + 0x137)
0x41fd300a: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so + 0xc900a
0x41fc9831: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so + 0xbf831
0x420e89c3: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1de9c3
0x420e8f24: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1def24 (SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&,
unsigned short) + 0x150)
0x420e9721: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so +
0x1df721 (SfxDispatcher::Execute(unsigned short, unsigned short, SfxItemSet*,
SfxItemSet*, unsigned short) + 0x185)
0x420fd6d2: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1f36d2
0x420fdb63: 0x002fe478: /usr/lib/openoffice.org/program/libsfx680li.so + 0x1f3b63
0x4406d39e: 0x001f67b0: /usr/lib/openoffice.org/program/libfwk680li.so + 0x18039e
0x416a8380: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0x221380
0x0024c5ad: 0x000697d0: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x465ad (SalDisplay::DispatchInternalEvent() + 0x83)
0x00843a73: 0x00041090: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x11a73
0x00843aa2: 0x00041090: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x11aa2
0x451158c1: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x298c1
0x45117622: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2b622 (g_main_context_dispatch
+ 0x182)
0x4511a5ff: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2e5ff
0x4511ab65: 0x0009d19c: /lib/libglib-2.0.so.0 + 0x2eb65
(g_main_context_iteration + 0x65)
0x0084385f: 0x00041090: /usr/lib/openoffice.org/program/libvclplug_gtk680li.so +
0x1185f
0x00251d15: 0x000697d0: /usr/lib/openoffice.org/program/libvclplug_gen680li.so +
0x4bd15 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x415285b9: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0xa15b9
(Application::Yield(bool) + 0x57)
0x41528677: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0xa1677
(Application::Execute() + 0x2b)
0x43c4542d: 0x00047a0c: /usr/lib/openoffice.org/program/libsoffice.so + 0x2542d
(desktop::Desktop::Main() + 0x1ae1)
0x4152ccb9: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0xa5cb9
0x4152ce05: 0x002f60dc: /usr/lib/openoffice.org/program/libvcl680li.so + 0xa5e05
(SVMain() + 0x2d)
0x43c39bea: 0x00047a0c: /usr/lib/openoffice.org/program/libsoffice.so + 0x19bea
(main + 0x7e)
0x44f64f70: 0x0014fd7c: /lib/libc.so.6 + 0x15f70 (__libc_start_main + 0xe0)
0x080484a1: 0x000006b8: /usr/lib/openoffice.org/program/soffice.bin + 0x4a1
(main + 0x5d)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x009bd000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0x0035f000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00bd5000)
	libstore.so.3 => /usr/lib/openoffice.org/program/libstore.so.3 (0x005e1000)
	libdl.so.2 => /lib/libdl.so.2 (0x00110000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x006ef000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0x00af4000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00115000)
	libm.so.6 => /lib/libm.so.6 (0x00200000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00229000)
	libc.so.6 => /lib/libc.so.6 (0x00707000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x00235000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...
Comment 1 Caolan McNamara 2007-07-11 10:38:59 EDT
Can you copy them locally and confirm the don't crash when opened locally. The
crash itself is in gnome-vfs2, which isn't to prove that OOo is blameless, but
that's where the immediate crash is
Comment 2 Mihai Harpau 2007-07-11 11:10:22 EDT
I could confirm the OO.org Base don't crash when dbf date sources are opened
locally.
Comment 3 Ronald Warsow 2007-07-21 17:01:20 EDT
I got an opposite idea !

OO is running local
got this today, when i was playing with writer:


(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//nvidia_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-12-x86_64
(V)    kernel is: Linux 2.6.22.1-27.fc7 #1 SMP Tue Jul 17 17:19:58 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.0-14.11-x86_64
(VII)    depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora release 7 (Moonshine)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda2              7578540    579280   6608080   9% /home
/dev/sda1              7578508   3693748   3493580  52% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x00000036c7e36808: 0x00000000001e9d08:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x36808
0x00000036c7e3730b: 0x00000000001e9d08:
/usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3730b
0x00000036c100de00: 0x0000000000014db0: /lib64/libpthread.so.0 + 0xde00
0x00000036c00305c5: 0x000000000014ab60: /lib64/libc.so.6 + 0x305c5 (gsignal + 0x35)
0x00000036c0032070: 0x000000000014ab60: /lib64/libc.so.6 + 0x32070 (abort + 0x110)
0x00000036c0068d0b: 0x000000000014ab60: /lib64/libc.so.6 + 0x68d0b
0x00000036c006e643: 0x000000000014ab60: /lib64/libc.so.6 + 0x6e643
0x00000036c0070b1d: 0x000000000014ab60: /lib64/libc.so.6 + 0x70b1d
0x00000036c00724ed: 0x000000000014ab60: /lib64/libc.so.6 + 0x724ed
(__libc_malloc + 0x7d)
0x00000036c0093459: 0x000000000014ab60: /lib64/libc.so.6 + 0x93459
0x00000036c0093528: 0x000000000014ab60: /lib64/libc.so.6 + 0x93528 (opendir + 0x58)
0x00002aaac196e01a: 0x0000000000010030:
/usr/lib64/gnome-vfs-2.0/modules/libfile.so + 0x601a
0x00002aaab3b84a1c: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x21a1c
0x00002aaab3b84c5a: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x21c5a
(gnome_vfs_directory_open_from_uri_cancellable + 0x8a)
0x00002aaab3b8ba1e: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x28a1e
0x00002aaab3b8bc5d: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x28c5d
0x00002aaab3b8c037: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x29037
0x00002aaab3b89509: 0x0000000000072c90: /usr/lib64/libgnomevfs-2.so.0 + 0x26509
0x00000036c204ad49: 0x000000000009cef8: /lib64/libglib-2.0.so.0 + 0x4ad49
0x00000036c20493a4: 0x000000000009cef8: /lib64/libglib-2.0.so.0 + 0x493a4
0x00000036c10062f7: 0x0000000000014db0: /lib64/libpthread.so.0 + 0x62f7
0x00000036c00d0fbd: 0x000000000014ab60: /lib64/libc.so.6 + 0xd0fbd (clone + 0x6d)
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4ee000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab6f2000)
	libstlport_gcc.so => /usr/lib64/openoffice.org/program/libstlport_gcc.so
(0x00002aaaab90c000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbda000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabeda000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac15d000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac36c000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6bd000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
Comment 4 Bug Zapper 2008-05-14 09:30:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:51:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.